For the complete documentation index, see llms.txt. This page is also available as Markdown.

Defendant Level

Filter cases by defendant level

Filter by defendant level ID (integer).

GET https://clearinghouse.net/api/v2/case?defendant_type=defendant_level_id

Query Parameters

Name
Type
Description

relief_source_id*

integer

Relief source ID (see list below for list of integers and its mapped values)

Headers

Name
Type
Description

Authorization*

String

Authorization

Token XXXXXXXXXXX

where

XXXXXXXXXXX

is the token string

\\ Examples of:
\\ No results, key not found, or invalid parameter

\\ No results
\\ Example query endpoint: /api/v2/cases/?case_id=1&case_ongoing=1
["No results for {'case_id': '1', 'case_ongoing': '1'}"]

\\ Key not found
\\ Example query endpoint: /api/v2/cases?test_key=1
["API Error: Key: test_key, Value: 1 not found."]

\\ Example query endpoint: /api/v2/cases/?case_id=xyz
["API Error: zxy is not an integer."]
{
    "detail":"Authentication credentials were not provided."
}

This will filter cases that contain a defendant with the queried defendant level.

Supported defendant level IDs (defendant_level_id):

6149
Federal

6147

City

6148

County

6156

Non-profit or advocacy

6151

Political Party

6150

Private Entity/Person

6154

Regional

6152

School District

6146

State

6153

Tribe

6155

Union

For more information about defendant levels, see defendant_level.

Example

Last updated